- name: Print GitLab version to be installed
  debug:
    msg: "{% if gitlab_version != '' %}Installing specific GitLab version: {{ gitlab_version }}{% else %}Installing latest version from {% if gitlab_repo_script_url is search('nightly-builds') %}nightly{% else %}stable{% endif %} release{% endif %}"
  when: "'gitlab-rails' in inventory_hostname"

- name: Get installed GitLab version
  shell: "dpkg -l | grep gitlab-ee | awk '{print $2, $3}'"
  register: gitlab_installed_version
  when: "'gitlab-rails' in inventory_hostname"
  ignore_errors: yes

- name: Print installed GitLab version
  debug:
    msg: "Installed GitLab version: {{ gitlab_installed_version.stdout if gitlab_installed_version.stdout != '' else 'GitLab not installed on this node' }}"
  when: "'gitlab-rails' in inventory_hostname"